rapidjson::GenericObject< Const, ValueT > Class Template Reference

Helper class for accessing Value of object type. More...

`#include <document.h>`

## Public Types

typedef GenericObject< true, ValueT > | ConstObject
typedef GenericObject< false, ValueT > | Object
typedef ValueT | PlainType
typedef internal::MaybeAddConst< Const, PlainType >::Type | ValueType
typedef GenericMemberIterator< Const, typename ValueT::EncodingType, typename ValueT::AllocatorType > | MemberIterator
typedef GenericMemberIterator< true, typename ValueT::EncodingType, typename ValueT::AllocatorType > | ConstMemberIterator
typedef ValueType::AllocatorType | AllocatorType
typedef ValueType::StringRefType | StringRefType
typedef ValueType::EncodingType | EncodingType
typedef ValueType::Ch | Ch

## Public Member Functions

| GenericObject (const GenericObject &rhs)
GenericObject & | operator= (const GenericObject &rhs)
SizeType | MemberCount () const
bool | ObjectEmpty () const
template<typename T >
ValueType & | operator[] (T *name) const
template<typename SourceAllocator >
ValueType & | operator[] (const GenericValue< EncodingType, SourceAllocator > &name) const
ValueType & | operator[] (const std::basic_string< Ch > &name) const
MemberIterator | MemberBegin () const
MemberIterator | MemberEnd () const
bool | HasMember (const Ch *name) const
bool | HasMember (const std::basic_string< Ch > &name) const
template<typename SourceAllocator >
bool | HasMember (const GenericValue< EncodingType, SourceAllocator > &name) const
MemberIterator | FindMember (const Ch *name) const
template<typename SourceAllocator >
MemberIterator | FindMember (const GenericValue< EncodingType, SourceAllocator > &name) const
MemberIterator | FindMember (const std::basic_string< Ch > &name) const
GenericObject | AddMember (ValueType &name, ValueType &value, AllocatorType &allocator) const
GenericObject | AddMember (ValueType &name, StringRefType value, AllocatorType &allocator) const
GenericObject | AddMember (ValueType &name, std::basic_string< Ch > &value, AllocatorType &allocator) const
template<typename T >
ValueType & | AddMember (ValueType &name, T value, AllocatorType &allocator) const
GenericObject | AddMember (StringRefType name, ValueType &value, AllocatorType &allocator) const
GenericObject | AddMember (StringRefType name, StringRefType value, AllocatorType &allocator) const
template<typename T >
GenericObject | AddMember (StringRefType name, T value, AllocatorType &allocator) const
void | RemoveAllMembers ()
bool | RemoveMember (const Ch *name) const
bool | RemoveMember (const std::basic_string< Ch > &name) const
template<typename SourceAllocator >
bool | RemoveMember (const GenericValue< EncodingType, SourceAllocator > &name) const
MemberIterator | RemoveMember (MemberIterator m) const
MemberIterator | EraseMember (ConstMemberIterator pos) const
MemberIterator | EraseMember (ConstMemberIterator first, ConstMemberIterator last) const
bool | EraseMember (const Ch *name) const
bool | EraseMember (const std::basic_string< Ch > &name) const
template<typename SourceAllocator >
bool | EraseMember (const GenericValue< EncodingType, SourceAllocator > &name) const

## Friends

template<typename , typename >
class | GenericValue

## Detailed Description

### template<bool Const, typename ValueT>
class rapidjson::GenericObject< Const, ValueT >

Helper class for accessing Value of object type.

Instance of this helper class is obtained by `GenericValue::GetObject()`. In addition to all APIs for array type, it provides range-based for loop if `RAPIDJSON_HAS_CXX11_RANGE_FOR=1`.

The documentation for this class was generated from the following file:

- include/rapidjson/document.h